package org.springblade.finance.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import org.springblade.finance.entity.IntOndaterangeAccountFile;
import org.springblade.finance.mapper.IntOndaterangeAccountFileMapper;
import org.springblade.finance.service.IIntOndaterangeAccountFileService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springblade.finance.vo.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zbc
 * @since 2021-11-29
 */
@Service
@DS("oracle143")
public class IntOndaterangeAccountFileServiceImpl extends ServiceImpl<IntOndaterangeAccountFileMapper, IntOndaterangeAccountFile> implements IIntOndaterangeAccountFileService {

	@Autowired
	private IntOndaterangeAccountFileMapper intOndaterangeAccountFileMapper;

	@Override
	public List<DateRangeAccountFzzVO> getFzzDetail(String sid) {
		return intOndaterangeAccountFileMapper.getFzzDetail(sid);
	}

	@Override
	public List<DateRangeAccountKftpVO> getKftpDetail(String sid) {
		return intOndaterangeAccountFileMapper.getKftpDetail(sid);
	}

	@Override
	public List<DateRangeAccountSfwyVO> getDfwyDetail(String sid) {
		return intOndaterangeAccountFileMapper.getDfwyDetail(sid);
	}

	@Override
	public List<DateRangeAccountTzjeVO> getTzjeDetail(String sid) {
		return intOndaterangeAccountFileMapper.getTzjeDetail(sid);
	}

	@Override
	public List<DateRangeAccountBgfdzVO> getBgfdzDetail(String sid) {
		return intOndaterangeAccountFileMapper.getBgfdzDetail(sid);
	}
}
